## org.eclipse.m2m.atl.adt.ui.compatibility
Class CompatibilityUtils

    java.lang.Object
      org.eclipse.m2m.atl.adt.ui.compatibility.CompatibilityUtils

    public final class CompatibilityUtils

extends java.lang.Object

An utility class for old ATL projects conversion.

Field Summary
`static java.lang.String` `NEW_BUILDER_ID` The new atl builder id.
`static java.lang.String` `NEW_NATURE_ID` The new atl nature id.
`static java.lang.String` `OLD_BUILDER_ID` The old atl builder id.
`static java.lang.String` `OLD_CONFIG_ID` The old atl config id.
`static java.lang.String` `OLD_NATURE_ID` The old atl nature id.

Method Summary
`static boolean` `convertConfigurations(java.lang.Object[] configurations)` Convert configurations to new id.
`static void` `convertProjects(java.lang.Object[] projects)` Convert projects to new ids.
`static org.eclipse.debug.core.ILaunchConfiguration[]` `getConfigurations()` Returns the list of the old configurations.
`static org.eclipse.core.resources.IProject[]` `getProjects()` Returns the list of the old projects.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OLD_NATURE_ID

    public static final java.lang.String OLD_NATURE_ID

  The old atl nature id.

  See Also:
    Constant Field Values

### NEW_NATURE_ID

    public static final java.lang.String NEW_NATURE_ID

  The new atl nature id.

  See Also:
    Constant Field Values

### OLD_BUILDER_ID

    public static final java.lang.String OLD_BUILDER_ID

  The old atl builder id.

  See Also:
    Constant Field Values

### NEW_BUILDER_ID

    public static final java.lang.String NEW_BUILDER_ID

  The new atl builder id.

  See Also:
    Constant Field Values

### OLD_CONFIG_ID

    public static final java.lang.String OLD_CONFIG_ID

  The old atl config id.

  See Also:
    Constant Field Values

Method Detail

### getProjects

    public static org.eclipse.core.resources.IProject[] getProjects()
                                                             throws org.eclipse.core.runtime.CoreException

  Returns the list of the old projects.

  Returns:
    the list of the old projects
  Throws:
    `org.eclipse.core.runtime.CoreException`

### getConfigurations

    public static org.eclipse.debug.core.ILaunchConfiguration[] getConfigurations()
                                                                           throws org.eclipse.core.runtime.CoreException

  Returns the list of the old configurations.

  Returns:
    the list of the old configurations
  Throws:
    `org.eclipse.core.runtime.CoreException`

### convertProjects

    public static void convertProjects(java.lang.Object[] projects)
                                throws org.eclipse.core.runtime.CoreException

  Convert projects to new ids.

  Parameters:
    `projects` - the projects to convert
  Throws:
    `org.eclipse.core.runtime.CoreException`

### convertConfigurations

    public static boolean convertConfigurations(java.lang.Object[] configurations)
                                         throws org.eclipse.core.runtime.CoreException

  Convert configurations to new id.

  Parameters:
    `configurations` - the configurations to convert
  Returns:
    true if Eclipse needs to be restarted
  Throws:
    `org.eclipse.core.runtime.CoreException`

Copyright 2007 IBM Corporation and others. All Rights Reserved.